> ## Documentation Index
> Fetch the complete documentation index at: https://smithery.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a skill

> Get a single skill by its namespace and slug.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/smithery/openapi.documented.yml get /skills/{namespace}/{slug}
openapi: 3.1.0
info:
  title: Smithery Platform API
  description: >-
    API for the Smithery platform — discover, deploy, and manage MCP (Model
    Context Protocol) servers. Provides endpoints for browsing the server
    registry, managing deployments, creating scoped access tokens, and
    connecting to MCP servers.
  version: 1.0.0
servers:
  - url: https://api.smithery.ai
security:
  - bearerAuth: []
tags:
  - name: servers
    description: >-
      Browse the MCP server registry, manage server configuration, and handle
      deployments
  - name: skills
    description: Discover and search reusable prompt-based skills for MCP servers
  - name: tools
    description: Search for MCP tools across all registered servers
paths:
  /skills/{namespace}/{slug}:
    get:
      tags:
        - skills
      summary: Get a skill
      description: Get a single skill by its namespace and slug.
      operationId: getSkills:namespace:slug
      parameters:
        - schema:
            type: string
          in: path
          name: namespace
          required: true
        - schema:
            type: string
          in: path
          name: slug
          required: true
      responses:
        '200':
          description: Skill found
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  namespace:
                    type: string
                  slug:
                    type: string
                  displayName:
                    type: string
                  description:
                    type: string
                  prompt:
                    type: string
                  qualityScore:
                    type: number
                  externalStars:
                    type: number
                  externalForks:
                    type: number
                  totalActivations:
                    type: number
                  uniqueUsers:
                    type: number
                  categories:
                    type: array
                    items:
                      type: string
                  servers:
                    type: array
                    items:
                      type: string
                  gitUrl:
                    anyOf:
                      - type: string
                      - type: 'null'
                  verified:
                    type: boolean
                    description: Whether this skill's namespace is verified.
                  listed:
                    type: boolean
                  owner:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Organization ID of the skill owner (from namespace)
                  createdAt:
                    type: string
                required:
                  - id
                  - namespace
                  - slug
                  - displayName
                  - description
                  - prompt
                  - qualityScore
                  - externalStars
                  - externalForks
                  - totalActivations
                  - uniqueUsers
                  - categories
                  - servers
                  - gitUrl
                  - verified
                  - listed
                  - owner
                  - createdAt
                id: SkillResponse
        '404':
          description: Skill not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
                id: SkillError
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Smithery from '@smithery/api';


            const client = new Smithery({
              apiKey: process.env['SMITHERY_API_KEY'], // This is the default and can be omitted
            });


            const skill = await client.skills.get('slug', { namespace:
            'namespace' });


            console.log(skill.id);
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Smithery API key as Bearer token

````